Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hsmf.datatypes
Class ByteChunk

    java.lang.Object
      org.apache.poi.hsmf.datatypes.Chunk
          org.apache.poi.hsmf.datatypes.ByteChunk

    public class ByteChunk

extends Chunk

A Chunk that holds binary data, normally unparsed. Generally as we know how to make sense of the contents, we create a new Chunk class and add a special case in the parser for them.

Field Summary

Fields inherited from class org.apache.poi.hsmf.datatypes.Chunk
`chunkId, DEFAULT_NAME_PREFIX, namePrefix, type`

Constructor Summary
`ByteChunk(int chunkId, int type)` Create a Byte Chunk, with the specified type.
`ByteChunk(java.lang.String namePrefix, int chunkId, int type)` Creates a Byte Chunk.

Method Summary
`java.lang.String` | `getAs7bitString()` Returns the data, formatted as a string assuming it was a non-unicode string.
`byte[]` | `getValue()`
`void` | `readValue(java.io.InputStream value)` Reads the value of this chunk using an InputStream
`void` | `setValue(byte[] value)`
`void` | `writeValue(java.io.OutputStream out)` Writes the value of this chunk back out again.

Methods inherited from class org.apache.poi.hsmf.datatypes.Chunk
`getChunkId, getEntryName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteChunk

    public ByteChunk(java.lang.String namePrefix,
                     int chunkId,
                     int type)

  Creates a Byte Chunk.

### ByteChunk

    public ByteChunk(int chunkId,
                     int type)

  Create a Byte Chunk, with the specified type.

Method Detail

### readValue

    public void readValue(java.io.InputStream value)
                   throws java.io.IOException

  Description copied from class: `Chunk`
  Reads the value of this chunk using an InputStream

  Specified by:
    `readValue` in class `Chunk`
  Throws:
    `java.io.IOException`

### writeValue

    public void writeValue(java.io.OutputStream out)
                    throws java.io.IOException

  Description copied from class: `Chunk`
  Writes the value of this chunk back out again.

  Specified by:
    `writeValue` in class `Chunk`
  Throws:
    `java.io.IOException`

### getValue

    public byte[] getValue()

### setValue

    public void setValue(byte[] value)

### getAs7bitString

    public java.lang.String getAs7bitString()

  Returns the data, formatted as a string assuming it was a non-unicode string. If your data isn't in fact stored as basically ASCII, don't expect this to return much of any sense....

  Returns:
    the data formatted as a string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.